Skip to main content
`Ctrl`+`K`

# VecGhostIsLocalForm

Checks if a given vector is the local form of a global vector

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecGhostIsLocalForm(Vec g, Vec l, PetscBool *flg)

Not Collective

## Input Parameters

- g - the global vector

- l - the local vector

## Output Parameter

- flg - `PETSC_TRUE` if `l` is the local form

## See Also

Vectors and Parallel Data, `Vec`, `VecType`, `VecCreateGhost()`, `VecGhostRestoreLocalForm()`, `VecCreateGhostWithArray()`, `VecGhostGetLocalForm()`

## Level

advanced

## Location

src/vec/vec/impls/mpi/commonmpvec.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages